WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.finance.options
Class BinaryOptions

    java.lang.Object
      |
      +--webcab.lib.finance.options.BinaryOptions

All Implemented Interfaces:
  Serializable

public class BinaryOptions
extends Object
implements Serializable

This class evaluates the pay-off from a Binary option at expiry.

See Also:
  Serialized Form

Constructor Summary
`BinaryOptions()` Creates a new instance.

Method Summary
`double` `payOffBinaryCall(double expiryPrice, double strike, double payout)` This method calculates the payoff from a binary option at expiry.
`double` `payOffBinaryPut(double expiryPrice, double strike, double payout)` This method calculates the payoff from a binary option at expiry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryOptions

    public BinaryOptions()

  Creates a new instance.

Method Detail

### payOffBinaryCall

    public double payOffBinaryCall(double expiryPrice,
                                   double strike,
                                   double payout)
                            throws BinaryOptionsDemoException

  This method calculates the payoff from a binary option at expiry.

  Parameters:
    `expiryPrice` - underlying asset price at expiry
    `strike` - the strike price of the binary call option
    `payout` - the amount paid out when the binary option is exercised in the money
    `BinaryOptionsDemoException`

### payOffBinaryPut

    public double payOffBinaryPut(double expiryPrice,
                                  double strike,
                                  double payout)
                           throws BinaryOptionsDemoException

  This method calculates the payoff from a binary option at expiry.

  Parameters:
    `expiryPrice` - underlying asset price at expiry
    `strike` - the strike price of the binary put option
    `payout` - the amount paid out when the binary option is exercised in the money
    `BinaryOptionsDemoException`

WebCab Options and Futures Demo v2.5 (J2SE Edition)